Functions | Variables

# linkgraph_gui.cpp File Reference

Implementation of linkgraph overlay GUI. More...

`#include "../stdafx.h"`
`#include "../window_gui.h"`
`#include "../window_func.h"`
`#include "../company_base.h"`
`#include "../company_gui.h"`
`#include "../date_func.h"`
`#include "../viewport_func.h"`
`#include "../smallmap_gui.h"`
`#include "../core/geometry_func.hpp"`
`#include "../widgets/link_graph_legend_widget.h"`
`#include "table/strings.h"`

Go to the source code of this file.

## Functions
NWidgetBase * | MakeCompanyButtonRowsLinkGraphGUI (int *biggest_index)
| Make a number of rows with buttons for each company for the linkgraph legend window.
NWidgetBase * | MakeSaturationLegendLinkGraphGUI (int *biggest_index)
NWidgetBase * | MakeCargoesLegendLinkGraphGUI (int *biggest_index)
| assert_compile (WID_LGL_SATURATION_LAST-WID_LGL_SATURATION_FIRST==lengthof(LinkGraphOverlay::LINK_COLOURS)-1)
void | ShowLinkGraphLegend ()
| Open a link graph legend window.
## Variables
static const NWidgetPart | _nested_linkgraph_legend_widgets []
static WindowDesc | _linkgraph_legend_desc (WDP_AUTO,"toolbar_linkgraph", 0, 0, WC_LINKGRAPH_LEGEND, WC_NONE, 0, _nested_linkgraph_legend_widgets, lengthof(_nested_linkgraph_legend_widgets))

## Detailed Description

Implementation of linkgraph overlay GUI.

Definition in file linkgraph_gui.cpp.

## Function Documentation

NWidgetBase* MakeCompanyButtonRowsLinkGraphGUI | ( | int * | biggest_index | ) |

Make a number of rows with buttons for each company for the linkgraph legend window.

Definition at line 317 of file linkgraph_gui.cpp.

References MakeCompanyButtonRows().